| CMSIS-RTOS Version 1.00 CMSIS-RTOS API: Generic RTOS interface for Cortex-M processor-based devices.

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
osPoolDef_t Struct Reference

Definition structure for memory block allocation. More...

## Data Fields
uint32_t | pool_sz
| number of items (elements) in the pool
uint32_t | item_sz
| size of an item
void * | pool
| pointer to memory for pool

## Description

Note:
  CAN BE CHANGED: os_pool_def is implementation specific in every CMSIS-RTOS.

## Field Documentation

uint32_t item_sz

void* pool

uint32_t pool_sz